Bug 213895 - lighttpd 1.4.13 needs readline-devel
lighttpd 1.4.13 needs readline-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lighttpd (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 12:14 EST by Ruben Kerkhof
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.13-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 08:37:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to spec file (554 bytes, patch)
2006-11-03 12:14 EST, Ruben Kerkhof
no flags Details | Diff

  None (edit)
Description Ruben Kerkhof 2006-11-03 12:14:44 EST
Description of problem:

Building lighttpd from src rpm fails when readline-devel is not installed.

Version-Release number of selected component (if applicable):

lighttpd-1.4.13-1.fc6.src.rpm

How reproducible:

Uninstall readline-devel (if installed)
Build lighttpd-1.4.13-1.fc6.src.rpm
It fails because it can't find -lreadline
Comment 1 Ruben Kerkhof 2006-11-03 12:14:45 EST
Created attachment 140282 [details]
Patch to spec file
Comment 2 Matthias Saou 2006-11-03 12:49:05 EST
The spec file from the devel branch already has this change. For some reason, I
bumped into this readline-devel build requirement too, but on RHEL4, so I didn't
bother rebuilding the package on FC releases.

I'll copy over the devel spec file and rebuild the package.
Comment 3 Matthias Saou 2006-11-06 04:53:01 EST
The package has been rebuilt.
Comment 4 Ruben Kerkhof 2006-11-06 11:18:33 EST
Thanks
Comment 5 Ruben Kerkhof 2006-12-16 18:53:32 EST
Hi Matthias,

It seems like lighttpd doesn't need the BR for readline-devel anymore. Lighttpd uses lua, and lua uses 
readline. Hans de Goede fixed lua's readline support:

[ruben@odin ~]$ rpm -q --changelog lua-devel
* Mon Oct 16 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.1-2
- Only link /usr/bin/lua with readline / do not link %{_libdir}/liblua-5.1.so
  with readline so that we don't cause any License troubles for packages
  linking against liblua-5.1.so, otherwise lua could drag the GPL only readline
  lib into the linking of non GPL apps.

* Sun Oct 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.1-1
- New upstream release 5.1.1
- Fix detection of readline during compile (iow add readline support back)

Thanks for your help!
Comment 6 Matthias Saou 2006-12-18 12:49:30 EST
Well :

# pkg-config --libs lua
-L/usr/lib -llua -lm -lreadline -lncurses -ldl
# rpm -q lua-devel
lua-devel-5.1.1-2.fc6

So it seems that the fix is only partial, since any application using the
pkgconfig information to link against lua will try to link against readline.

A quick look at lua.spec shows that " -lreadline" should then probably simply be
filtered out of the lua.pc file. Hans, is this just something you missed?
Comment 7 Hans de Goede 2006-12-20 07:35:04 EST
Yes this is something I'll missed I'll fix this and push a fixed version as time
allows (at the moment I'm rather busy moving homes and thus without internet at
home). Feel free to fix this for me and push a new lua.
Comment 8 Hans de Goede 2007-01-19 10:04:11 EST
lua-5.1.1-3 which fixes this should show up in the development repository soon.
Once its there you should be able to build libhttpd without the readline-devel BR.

Comment 9 Ruben Kerkhof 2007-01-28 16:13:33 EST
Hey Matthias,

lua-5.1.1-3 has landed in -devel:

[ruben@odin SPECS]$ rpm -q --changelog lua
* Fri Jan 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.1-3
- Remove "-lreadline -lncurses" from lua.pc (bz 213895)
Comment 10 Matthias Saou 2007-01-29 08:37:07 EST
Thanks! Tested and fired a rebuild for devel.

Note You need to log in before you can comment on or make changes to this bug.